Description

I see qgis has just got some better graduated symbol/color improvements,

great! that's been lacking for a long time. Compared to that GRASS's

r.colors and v.colors modules are so much more powerful, so until qgis

has better raster+vector color support I'd like to set those in GRASS

and have QGIS be able to read the color rules from GRASS exported geotiffs

and shapefiles. (the people I deliver maps to often run qgis but not grass)

vector: (mostly shapefiles)

- it would be great if the point icon's or line's color could be read from

an attribute column containing a R:G:B string (0-255). In GRASS see d.vect

+ GRASSRGB column (but the column can be called anything). that way you

could use v.colors (qgis grass toolbox) to set more powerful color

gradients.

- When a [[GeoTiff]] is exported from GRASS with r.out.gdal, the first 1000

lines of the color rules file (usually there is less than 10) is written

to the [[GeoTiff]] metadata as "COLOR_TABLE_RULE_RGB_n" where "n" starts at

1 and goes up. the rest of the line looks like:

  min max  R1 G1 B1  R2 G2 B2

with RGB values for the min and max within that range. colors for values

in between that step are linearly interpolated between R1,R2 etc.

Also the new GDAL version seems to be making filename.tif.aux.xml too,

which contains those COLOR_TABLE_RULE_RGB_1,2,3,... rules.

the long term idea would be for many OSGeo projects to share a common

color formats for these things, so data can be more easily shared.

(for what it's worth, GMT and GRASS already are very similar for some

things like this, I think it has to do with common code ancestry 15+ years

ago, and partly ending up with common solutions after years of trying

different methods)

(working on a common .svg icon/symbol pool is another idea along these lines.)

thanks,

Hamish

History

#1 - 2010-10-31 10:17 AM - Markus Neteler

See also #782
#2 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2011-12-23 09:29 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#4 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
